Bug 393441 - Can't un-maximise emacs in KDE using the resize button
Can't un-maximise emacs in KDE using the resize button
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Chip Coldwell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-20 18:53 EST by deanm
Modified: 2008-06-16 22:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:52:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description deanm 2007-11-20 18:53:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.12) Gecko/20071019 Fedora/1.0.9-3.fc6 pango-text SeaMonkey/1.0.9

Description of problem:
I'm running a stock f7 on an x86_64 machine w/ all updates as of 18 Nov, 2007.

On a KDE desktop, binking on the "maximise" button at upper right of the window maximises emacs (left mouse). But binking on it again does not return it to its
original size.  Normally I'll see this sort of behaviour if I move the window
after resizing.  But with emacs no motion is needed.  Bascially un-maximise is broken.  

Other windows w/in KDE (e.g. Konsole) work correctly.  Furthermore emacs w/in
Gnome works correctly.

Version-Release number of selected component (if applicable):
emacs-22.1-5.fc7.x86_64

How reproducible:
Always


Steps to Reproduce:
1.emacs -q
2.bink on maximise button (middle icon, top right of window)
3.bink it again.

Actual Results:
The window "flashes" but does not resize.

Expected Results:
The window shd. return to its original size.

Additional info:
Comment 1 deanm 2007-12-11 15:21:44 EST
I made an ssh -X connection from my local FC6 32-bit laptop to the above
mentioned F7 machine and fired up the F7 emacs remotely (so the window manager
is the local 32 bit KDE).  Same mis-behaviour as described above.

Then I replaced the x86_64 emacs on the F7 machine  with i386. Same bug while
running remotedly.  Sorry: I'm home sick and so can't run emacs directly on the
remote F7 machine.

Is this bug present on straight F7 i386 machines?
Comment 2 deanm 2007-12-11 18:00:13 EST
More information:  I just built both emacs-22.1-5.fc7 and emacs-22.1-8.fc8 on my
FC6 i386 laptop.  In each case I started emacs with -q.  It exhibits the same
behaviour as described above.   So this appears to be a pure emacs-22.1 / KDE
interaction and is not dependent on i386 vs. x86_64.
Comment 3 Martí­n Marqués 2007-12-12 08:34:21 EST
For what I see, the problem is that it's not maximizing the window, but resizing
it to almost it's maximun size.

Haven't tested it on other emacs (non 64bit, non fedora, fedora older, etc.).
Comment 4 deanm 2007-12-12 15:52:22 EST
There's a recent useful discussion of this bug, which includes remarks by
Richard Stallman, at:
<http://www.nabble.com/-werner@suse.de:-Several-problems-in-KDE-KWin--td14216807.html>


The bug appears to depend on an interplay btween Emacs-22 and KDE (kwin).
Comment 5 Bug Zapper 2008-05-14 11:05:08 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 deanm 2008-05-14 14:06:16 EDT
Both the Version and the Hardware can be changed (to Fedora 8, and i386 resp.)
The bug still exists in F8.  This seems to be a KDE/emacs interaction bug.
I would very much like to see this fixed.  It is most annoying to not be able to
return to normal size after a maximise (which I use  a lot!).  Thanks
Comment 7 Bug Zapper 2008-06-16 22:52:50 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.